package cz.zweistein.gw.predictor.gui;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;

import javax.swing.ListModel;
import javax.swing.event.ListDataEvent;
import javax.swing.event.ListDataListener;

import cz.zweistein.gw.predictor.Guild;

public class PredictedGuildListModel implements ListModel {
	
	private List<Guild> guildList = new ArrayList<Guild>(0);
	
	private HashSet<ListDataListener> listeners = new HashSet<ListDataListener>(); 
	
	public void setGuildList(List<Guild> guildList) {
		this.guildList = guildList;
	
		for (ListDataListener listener : this.listeners) {
			listener.intervalAdded(new ListDataEvent(this, ListDataEvent.CONTENTS_CHANGED, 0, this.guildList.size()));
		}
	}

	public int getSize() {
		return this.guildList.size();
	}

	public Object getElementAt(int arg0) {
		return this.guildList.get(arg0);
	}

	public void addListDataListener(ListDataListener arg0) {
		this.listeners.add(arg0);
	}

	public void removeListDataListener(ListDataListener arg0) {
		this.listeners.remove(arg0);
	}

}
