package cz.zweistein.gw.predictor;

import java.util.LinkedList;

/**
 * 
 * 
 * 
 * @author Prokop
 *
 */
public class Player extends Predicable implements Comparable<Player> {
	
	Player() {
		this.pastOrders = new LinkedList<Integer>();
	}

	public int compareTo(Player o) {
		if (o.getPredictedOrder() == this.getPredictedOrder()) {
			return 0;
		} else  if (o.getPredictedOrder() > this.getPredictedOrder()) {
			return -1;
		} else {
			return 1;
		}
	}

	@Override
	public String toString() {
		return this.getName();
	}

}
